package com.czg.account.service;

import com.czg.account.dto.song.ShopSongAddDTO;
import com.czg.account.dto.song.ShopSongEditDTO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.account.entity.ShopSong;

/**
 * 点歌-歌曲表 服务层。
 *
 * @author zs
 * @since 2025-03-01
 */
public interface ShopSongService extends IService<ShopSong> {

    Boolean add(Long shopId, ShopSongAddDTO shopSongAddDTO);

    Boolean edit(Long shopId, ShopSongEditDTO shopSongEditDTO);

    String getSongUrl(Long shopId);
}
